/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Apr-18-2011 09:34:34pm
Filepath: scripts\_custom\events and scenarios\Easter 2011\Robin.cs
Lines of code: 47
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Targeting;
using System.Collections;
using Server.Mobiles;
using Server.Network;

namespace Server.Mobiles
{
	[CorpseName( "a robin corpse" )]
	public class Robin : BaseCreature
	{
		[Constructable]
		public Robin() : base( AIType.AI_Melee, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Summoned = true; 
			Tamable = false;
			ControlSlots = 0;
	
			Name = "a robin";
			Body = 6;
			Hue = 1192;
			BaseSoundID = 0x1B;

			SetHits( 60, 90 );
			
			Timer.DelayCall( TimeSpan.FromSeconds( 7.0 ), new TimerCallback( Delete ) );
		}
		
		public override bool CanBeDamaged()
		{
			return false;
		}

		public override bool BleedImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lesser; } }

		public Robin( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
			this.Delete();
		}
	}
}
